Bug 172309 - oowriter: crash when scrolling through a graphics-heavy document
oowriter: crash when scrolling through a graphics-heavy document
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-02 11:50 EST by Gregory Zornetzer
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-03 10:18:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Testcase file that causes failure - warning 850 kB (816.00 KB, application/octet-stream)
2005-11-02 11:52 EST, Gregory Zornetzer
no flags Details
log of gdb session when crash occurs (12.61 KB, text/plain)
2005-11-02 11:54 EST, Gregory Zornetzer
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 57229 None None None Never

  None (edit)
Description Gregory Zornetzer 2005-11-02 11:50:35 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
I created a file with some graphics on MS Word from XP office (Windows).  The graphics were generated in Adobe Illustrator, and copied into Word using 'paste special', and selecting the 'picture: enhanced metafile' option.

If I load the document into oowriter, it will read fine.  However, if I use the right hand side scrollbar to move down within the document (by single-clicking below the bar to do a "jump scroll", the program crashes when it gets to the second page & tries to display the picture there.  I've got a testcase file (unfortunately about 850 kb in size), and a backtrace from gdb with debugging symbols.

Version-Release number of selected component (if applicable):
openoffice.org-core-2.0.0-3.2.1

How reproducible:
Always

Steps to Reproduce:
1.  Open the word file in oowriter
2.  Scroll down by single clicking below the right hand side scrollbar to page 2

  

Actual Results:  Instant crash (when tracing with gdb, this also causes X-windows to lock until the program is killed)

Expected Results:  Displays the picture

Additional info:

I'll attach a testcase file & the gdb output.
Comment 1 Gregory Zornetzer 2005-11-02 11:52:22 EST
Created attachment 120645 [details]
Testcase file that causes failure - warning 850 kB

Read this file in oowriter to cause the crash
Comment 2 Gregory Zornetzer 2005-11-02 11:54:05 EST
Created attachment 120646 [details]
log of gdb session when crash occurs

This file shows the gdb output along with a backtrace of the crash.
Comment 3 Caolan McNamara 2005-11-02 12:48:22 EST
reproducable, affects all varients, logged as
http://www.openoffice.org/issues/show_bug.cgi?id=57229
Comment 4 Caolan McNamara 2005-11-03 10:18:28 EST
no fix yet, but working on this upstread

Note You need to log in before you can comment on or make changes to this bug.